Questions and discussion about developing processes and programming in PHP, JavaScript, web services & REST API.

Moderator: amosbatto

Forum rules: Please search to see if a question has already asked before creating a new topic. Please don't post the same question in multiple forums.
User avatar
By ehsanv
#827782
Hi,
I needed to make a suggestion to developer team, but since i don't know where to contact them, i post it here!
Well, ProcessMaker 3.4.x is using PHP 7.3.x and mcrypt extension which was deprecated in previous version (7.2) is now completely removed from PHP (specially i mean Windows Version of PHP)
So, please remove the Mcrypt check for Install Requirements of PM.
I'm not a pro PHP Programmer, but i think openssl is an alternative for mcrypt.

Thanks is advance
Ehsan
User avatar
By RicardoMG
#827798
Hello Ehsan!
If you did not find the mcrypt extension to install processmaker 3.4.x, you can download the extension individually for php 7.2, php 7.3 and php 7.4 at the following link: https://pecl.php.net/package/mcrypt/1.0.3/windows
User avatar
By ehsanv
#827887
RicardoMG wrote: Fri Apr 03, 2020 5:14 pm Hello Ehsan!
If you did not find the mcrypt extension to install processmaker 3.4.x, you can download the extension individually for php 7.2, php 7.3 and php 7.4 at the following link: https://pecl.php.net/package/mcrypt/1.0.3/windows
Thanks

hi everybody , please help me to solve this proble[…]

There's no way to do that. The only way to do so i[…]

Hello, If you are using a version of ProcessMak[…]

I really appreciate the work you did. I got to kno[…]